> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a device recording



## OpenAPI

````yaml /api-reference/phones/tools.yaml get /devices/{deviceId}/recordings/{recordingId}
openapi: 3.1.0
info:
  title: Tools
  version: v1
servers:
  - url: https://api.mobilerun.ai
    description: Droidrun Cloud API
security:
  - bearerAuth: []
paths:
  /devices/{deviceId}/recordings/{recordingId}:
    get:
      tags:
        - Recordings
      summary: Get a device recording
      operationId: get-device-recording
      parameters:
        - in: path
          name: deviceId
          required: true
          schema:
            type: string
        - in: path
          name: recordingId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RecordingInfo'
          description: OK
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearerAuth: []
        - ServiceKey: []
components:
  schemas:
    RecordingInfo:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/RecordingInfo.json
          format: uri
          readOnly: true
          type: string
        actions:
          format: int64
          type: integer
        deviceId:
          type: string
        display:
          $ref: '#/components/schemas/DisplayInfo'
        endedAt:
          format: date-time
          type: string
        error:
          type: string
        expiresAt:
          format: date-time
          type: string
        id:
          type: string
        name:
          type: string
        startedAt:
          format: date-time
          type: string
        status:
          type: string
        types:
          items:
            type: string
          type:
            - array
            - 'null'
        video:
          $ref: '#/components/schemas/VideoInfo'
      required:
        - id
        - deviceId
        - name
        - types
        - status
        - startedAt
        - expiresAt
        - display
        - actions
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://example.com/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    DisplayInfo:
      additionalProperties: false
      properties:
        height:
          format: int64
          type: integer
        rotation:
          format: int64
          type: integer
        width:
          format: int64
          type: integer
      required:
        - width
        - height
        - rotation
      type: object
    VideoInfo:
      additionalProperties: false
      properties:
        durationMs:
          format: int64
          type: integer
        format:
          type: string
        limitReason:
          type: string
        limited:
          type: boolean
        sizeBytes:
          format: int64
          type: integer
      required:
        - durationMs
        - sizeBytes
        - format
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Opaque
      description: Bearer token via Authorization header

````